#   FILE: fctk.spec.new.in --
# AUTHOR: W. Michael Petullo <mike@flyn.org>
#   DATE: 18 November 2000
#
# Copyright (C) 1999 W. Michael Petullo <mike@flyn.org>
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

%define rel 1
%define prefix /usr

Summary: New templates used at Flyn Computing.
Name: fctk
Version: 0.0.5
Release: %rel
Copyright: GPL
Group: Development/Tools
Source: %name-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /home/mike/development/live
Packager: W. Michael Petullo <mike@flyn.org>
Vendor: Flyn Computing
Distribution: Flyn Linux
URL: http://www.flyn.org
Requires: sed flyn_docs tidy textutils xmlto

# ============================= description ====================================
%description

     _________________________________________________________

   Table of Contents

   The  Flyn Computing Template Kit (fctk) is a collection of new
   templates,  XSLT  templates,  and  project descriptions. These
   tools   are  used  at  Flyn  Computing  for  development.  The
   collection  of  templates  use  XML  and  the  priciple of not
   repeating oneself. For example, this description comes from an
   XML   file   and   is  used  to  generate  the  package's  RPM
   specification file, manpage, README, HTML description, etc. As
   another  example,  XSLT templates are included which allow one
   to  generate  getopt-related  C code and portions of a manpage
   from a simgle XML source.


# ============================= changelog ======================================
%changelog

# ============================= prep ===========================================
%prep

# ============================= setup ==========================================
%setup

# ============================= build ==========================================
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

# ============================= install ========================================
%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/new
mkdir -p $RPM_BUILD_ROOT/etc

# NOTE: The following trick only works with a modified header-vars.am.
# Change the line ``DESTDIR ='' in this file to ``DESTDIR =
# ${ENV_DESTDIR}.''
export ENV_DESTDIR=$RPM_BUILD_ROOT
make install

cp -Rf fctk $RPM_BUILD_ROOT/etc/fctk

gzip -9 AUTHORS COPYING ChangeLog INSTALL NEWS README

# ============================= clean ==========================================
%clean
rm -rf $RPM_BUILD_ROOT

# ============================= pre ============================================
%pre

# ============================= post ===========================================
%post

# ============================= preun ==========================================
%preun

# ============================= postun =========================================
%postun

# ============================= files ==========================================
%files
%defattr(-, root, root)
%{prefix}/bin/xml_to_c.sh
%{prefix}/bin/txt2c.sh
%{prefix}/share/new

# ============================= doc ============================================
%doc AUTHORS.gz COPYING.gz ChangeLog.gz INSTALL.gz NEWS.gz README.gz

# ============================= config =========================================
%config
/etc/fctk
